petsc-3.10.5 2019-03-28
Report Typos and Errors

# TaoGetObjective

Gets the current value of the objective function at this time.

### Synopsis

    #include "petsctao.h"
    PetscErrorCode  TaoGetObjective(Tao tao,PetscReal *value)

Not Collective

### Input Parameter

tao -Tao context

### Output Parameter

value -the current value

### Keywords

Tao, nonlinear, get, iteration, number,

### See Also

TaoGetLinearSolveIterations(), TaoGetIterationNumber(), TaoGetResidualNorm()

### Level

intermediate

### Location

src/tao/interface/taosolver.c

### Examples

src/tao/unconstrained/examples/tutorials/spectraladjointassimilation.c.html
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages